<template>
<!-- TODO: configurar tabla con vista en aparatos moviles -->
    <v-layout>
        <v-flex>
            <table class="v-table">
                <thead>
                    <th>Examen</th>
                    <th>Resultado</th>
                    <th>Unidad</th>
                    <th>Valor de Referencia</th>
                </thead>
                <tbody>
                    <tr v-for="(row, index) in resultados" v-bind:key="index" class="mb-2">
                        <td>{{ row.title }}</td>
                        <td>{{ row.value }}</td>
                        <td>{{ row.unit }}</td>
                        <td>{{ row.valref }}</td>
                    </tr>
                </tbody>
            </table>
        </v-flex>
    </v-layout>
</template>

<script>
export default {
    name: 'ExamenBody',
    props: ['resultados']
}
</script>

<style>
.v-table {
    border-color: black;
}

table.v-table thead th {
    background: #55C2E2;
    color: white;
    font-size: 20px
}

.v-table tr td {
    background: whitesmoke;
    border: 1px solid white;
    text-align: center;
}
</style>
